class loadingView
{
    constructor() 
	{
		this.sOS = conchConfig.getOS();
		if (this.sOS == "Conch-ios")
		{
			this.bridge = PlatformClass.createClass("JSBridge");
		}
		else if (this.sOS == "Conch-android")
		{
			this.bridge = PlatformClass.createClass("demo.JSBridge");
		}
    }

    get isIos()
    {
        return this.sOS == "Conch-ios";
    }

    doReboot()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("doReboot");
                return true;
            }
        }
        return false;
    }

    GetAppPackageName()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                //ios似乎不需要实现
            }
            else if(this.sOS == "Conch-android")
            {
                return this.bridge.call("GetAppPackageName");
            }
        }
        return "";
    }

    GetAppPackageVersionCode()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                //ios似乎不需要实现
            }
            else if(this.sOS == "Conch-android")
            {
                return this.bridge.call("GetAppPackageVersionCode");
            }
        }
        return "";
    }

    GetBcmUnityData(key)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                return this.bridge.call("GetBcmUnityData", key);
            }
        }
        return "";
    }

    LogI(tag, message)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("LogI:message:", tag, message);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("LogI", tag, message);
            }
        }
    }

    LogW(tag, message)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("LogW:message:", tag, message);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("LogW", tag, message);
            }
        }
    }

    LogE(tag, message)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("LogE:message:", tag, message);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("LogE", tag, message);
            }
        }
    }

    OpenURL(url)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("OpenURL", url);
            }
        }
    }

    MessageBoxOk(title, message, ok_text, js)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("MessageBoxOk:message:ok_text:js:", title, message,ok_text,js);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("MessageBoxOk", title, message, ok_text, js);
            }
        }
    }

    CopyToClipBoard(copyStr) {
        if(this.bridge) {
            if(this.sOS == "Conch-ios") {
                this.bridge.call("CopyToClipBoard:",copyStr);
            } else if(this.sOS == "Conch-android") {
                this.bridge.call("CopyToClipBoard", copyStr);
            }
        }
    }

    PayOnWechat(appId, partnerId, prepayId, nonceStr, timeStamp, packageValue, sign, extData, callback)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.callWithBack( function(value) {
                    if(callback) callback(value);
                },"PayOnWechat", appId, partnerId, prepayId, nonceStr, timeStamp, packageValue, sign, extData);
            }
        }
    }

    SignInWechat(callback)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.callWithBack( function(value) {
                    if(callback) callback(value);
                },"SignInWechat");
                return true;
            }
        }

        return false;
    }

    SignInUC(callback)
    {
        console.log("login uc Conch-android");
        if(this.bridge)
        {
            if(this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {

                this.bridge.callWithBack(function(value){
                    if(callback) callback(value);
                }, "SignInUC");
                return true;
            }
        }
    }

    PayOnUC(callBackInfo, accountId, amount, cpOrderId, sign)
    {
        console.log("PayOnUC");
        if(this.bridge)
        {
            if(this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("PayOnUC", callBackInfo, accountId, amount, cpOrderId, sign);
            }
        }
    }

    SubmitLoginGameRole(jsonData)
    {
        console.log("SubmitLoginGameRole");
        if(this.bridge)
        {
            if(this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("SubmitLoginGameRole", jsonData);
            }
        }
    }

    KTPlay_show()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("KTPlay_show:",true);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("KTPlay_show");
            }
        }
    }

    KTPlay_isEnabled()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                return this.bridge.call("KTPlay_isEnabled:",true) == 1;
            }
            else if(this.sOS == "Conch-android")
            {
                return this.bridge.call("KTPlay_isEnabled");
            }
        }
        return false
    }

    KTPlay_setLanguage(preferredLanguage, alternateLanguage)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("KTPlay_setLanguage:alternateLanguage:",preferredLanguage,alternateLanguage);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("KTPlay_setLanguage", preferredLanguage, alternateLanguage);
            }
        }
    }

    KTAccountManager_isLoggedIn()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.LogI("test isLoggedIn",this.bridge.call("KTAccountManager_isLoggedIn:",true));
                return this.bridge.call("KTAccountManager_isLoggedIn:",true) == 1;
            }
            else if(this.sOS == "Conch-android")
            {
                return this.bridge.call("KTAccountManager_isLoggedIn");
            }
        }
        return false
    }

    KTAccountManager_currentAccount()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                const _str = this.bridge.call("KTAccountManager_currentAccount:",true);
                return _str ? JSON.parse(_str) : null;
            }
            else if(this.sOS == "Conch-android")
            {
                const _str = this.bridge.call("KTAccountManager_currentAccount");
                return _str ? JSON.parse(_str) : null;
            }
        }
        return null
    }

    KTAccountManager_loginWithGameUser(role_id, callback)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.callWithBack(function(value) {
                                         const _obj = JSON.parse(value);
                                         if( callback )
                                         {
                                             if(_obj.userId)
                                             {
                                                callback(_obj,null);
                                             }
                                             else
                                             {
                                                callback(null, _obj);
                                             }
                                         }
                                         }, "KTAccountManager_loginWithGameUser:", role_id);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.callWithBack(function(value) {
                    const _obj = JSON.parse(value);
                    if( callback ) callback(_obj.user, _obj.error);
                    }, "KTAccountManager_loginWithGameUser", role_id);
            }
        }
    }

    KTAccountManager_Logout()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("KTAccountManager_Logout:",true);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("KTAccountManager_Logout");
            }
        }
    }

    KTAccountManager_GetUserProfile(role_id, callback)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.callWithBack(function(value) {
                                         const _obj = JSON.parse(value);
                                         if( callback )
                                         {
                                             if(_obj.userId)
                                             {
                                                callback(_obj,null);
                                             }
                                             else
                                             {
                                                callback(null, _obj);
                                             }
                                         }
                                         }, "KTAccountManager_GetUserProfile:", role_id);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.callWithBack(function(value) {
                    const _obj = JSON.parse(value);
                    if( callback ) callback(_obj.user, _obj.error);
                    }, "KTAccountManager_GetUserProfile", role_id);
            }
        }
    }

    KTAccountManager_setUserProfileLocks(properties)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("KTAccountManager_setUserProfileLocks:", properties);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("KTAccountManager_setUserProfileLocks", properties);
            }
        }
    }

    KTAccountManager_updateProfile(nickname, avatarPath, gender)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("KTAccountManager_updateProfile:avatarPath:gender:", nickname, avatarPath, gender);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("KTAccountManager_updateProfile", nickname, avatarPath, gender);
            }
        }
    }

    Helpshift_SetSDKLanguage(str_lang)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("Helpshift_SetSDKLanguage", str_lang);
            }
        }
    }

    Helpshift_ShowAllFAQs()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("Helpshift_ShowAllFAQs");
            }
        }
    }

    Helpshift_ShowFAQSection(str_id)
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("Helpshift_ShowFAQSection", str_id);
            }
        }
    }

    Helpshift_ShowConversation()
    {
        if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("Helpshift_ShowConversation");
            }
        }
    }

    getStr(key)
    {
        switch(key)
        {
        case "djSdk_Url": return "";
        case "djCenter_Url": return "";
        case "TestServer_Url": return "";//"192.168.100.100:10080";
        case "skip_dj_login_ui": return "";
		case "tishenVersion": return "1571812521";
		case "app_font": return "font/apq.ttf";
        }

        return "";
     }

    set loadingAutoClose(value) 
	{
        this._loadingAutoClose = value;
    }
	get loadingAutoClose()
	{
		return this._loadingAutoClose;
	}
	set showTextInfo(value) 
	{
        this._showTextInfo = value;
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("showTextInfo:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("showTextInfo",value);
			}
		}
    }
	get showTextInfo()
	{
		return this._showTextInfo;
	}
	bgColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("bgColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("bgColor",value);
			}
		}
	}
	setFontColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setFontColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setFontColor",value);
			}
		}
	}
	setTips(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setTips:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setTips",value);
			}
		}
	}
	loading(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("loading:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("loading",value);
			}
		}
	}
	hideLoadingView()
	{
		this.bridge.call("hideSplash");
	}
}
window.loadingView = new loadingView();
if(window.loadingView)
{
    window.loadingView.loadingAutoClose=true;//true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.bgColor("#000000");//设置背景颜色
    window.loadingView.setFontColor("#ffffff");//设置字体颜色
    window.loadingView.setTips(["新世界的大门即将打开","敌军还有30秒抵达战场","妈妈说，心急吃不了热豆腐"]);//设置tips数组，会随机出现
    window.loadingView.showTextInfo=false;
    //window.loadingView.MessageBoxOk("title","text","ojbk","alert('hello')");
}
window.onLayaInitError=function(e)
{
	console.log("onLayaInitError error=" + e);
	window.loadingView.MessageBoxOk("", "加载游戏失败，可能由于您的网络不稳定，请检查后重试", "重试", "window.location.reload(true);");
}

if( window.appcache )
{
    let _id = window.appcache.getResourceID('netassetsid');
    if( _id == null || _id == "" )
    {
        window.appcache.setResourceID('netassetsid', "start");
    }
}
/*
console.log = function(message)
{
    window.loadingView.LogI("js", message);
}

console.warn = function(message)
{
    window.loadingView.LogW("js", message);
}

console.error = function(message)
{
    window.loadingView.LogE("js", message);
}
*/