"use strict";

var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};

function log(str)
{
    //window.alert(str);
}

function UpdateOneFile(cache, urlpath, file, sid)
{
    var url =  urlpath + file;
    var is_bin = false;
    if( sid )
    {
        url += '?rand=' + sid;
        is_bin = true;
    }

    return __awaiter(window, void 0, void 0, function* () {
        var ret = null;
        while(true)
        {
            var buf = (yield window.downloadSync(url, is_bin, null));
            if( buf )
            {
                if( !is_bin )
                {
                    window.alert('\"' + buf + '\"');
                    ret = true;
                    break;
                }
                let fid = cache.hashstr(file);
                if (cache.updateFile(fid, 0, buf, false))
                {
                    //window.alert('updating : ' + fid);
                    ret = true;
                }
                else
                {
                    //window.alert('updateError : ' + fid);
                    ret = false;
                }
                break;
            }
        }
        return ret;
    });
}

function UpdateMultipleFile(cache, urlpath, arr_file, sid)
{
    return __awaiter(window, void 0, void 0, function* () {
        for (var i=0,n=arr_file.length;i < n;i++)
        {
            var ret = yield UpdateOneFile(cache, urlpath, arr_file[i], sid);
            if( !ret ) return false;
        }
        return true;
    });
}

function UpdateGo(cache, urlpath, sid)
{
    return __awaiter(window, void 0, void 0, function* () {
        log("UpdateOneFile begin");

        //yield UpdateOneFile(cache, urlpath, "/index.js", "");

        var ret = false;
        if( null!=sid && ""!= sid )
        {
            var arr_file = ['/index.js', '/version.json'];
            ret = yield UpdateMultipleFile(cache, urlpath, arr_file, sid);
        }

        //yield UpdateOneFile(cache, urlpath, "/index.js", "");

        log("UpdateOneFile end");
        return ret;
    });
}

function OnDccOk()
{
    return __awaiter(window, void 0, void 0, function* () {
        log("WQSG begin");
        var cache = window.appcache;
        var urlpath = location.fullpath;
        var curassets = cache.getResourceID('netassetsid');
        var ret = yield UpdateGo(cache, urlpath, curassets);
        log("WQSG end");
        return ret;
    });
}

exports.OnDccOk = OnDccOk;


